emsa2.h File Reference

Classes and functions for various padding schemes used in public key algorithms. More...

Go to the source code of this file.

## Classes

class | EMSA2HashId< H >
| EMSA2 hash identifier. More...
class | EMSA2HashIdLookup< BASE >
| EMSA2 padding method. More...
struct | EMSA2HashIdLookup< BASE >::HashIdentifierLookup
struct | EMSA2HashIdLookup< BASE >::HashIdentifierLookup::HashIdentifierLookup2< H >
class | EMSA2Pad
| EMSA2 padding method. More...
struct | P1363_EMSA2
| EMSA2/P1363 padding method. More...

## Variables

| EMSA2HashId< SHA1 >
| EMSA2HashId< SHA224 >
| EMSA2HashId< SHA256 >
| EMSA2HashId< SHA384 >
| EMSA2HashId< SHA512 >

## Detailed Description

Classes and functions for various padding schemes used in public key algorithms.

Definition in file emsa2.h.